Bug 132305 - incorrect name hashes
incorrect name hashes
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-10 15:22 EDT by Ferry Huberts
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 09:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of described bug (31.79 KB, image/jpeg)
2004-09-10 15:25 EDT, Ferry Huberts
no flags Details
Windows XP looking at the FC4t3 share (32.71 KB, image/jpeg)
2005-06-05 06:24 EDT, Ferry Huberts
no flags Details
FC4t3 looking at the FC4t3 share (14.90 KB, image/jpeg)
2005-06-05 06:24 EDT, Ferry Huberts
no flags Details

  None (edit)
Description Ferry Huberts 2004-09-10 15:22:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
When a directory name ends with a dot (.), samba expose the wrong name
hash.

For example: on my server the directory 'q.' is exposed as 'QVFH17~8'
when I look at is from an XP system.
This server has no 'special' settings changed that would influence
this behaviour in any obvious way

Just tested with regular files: same behaviour :-(
file 'qq.' is exposed as 'QYN4UX~R'

Version-Release number of selected component (if applicable):
3.0.6-2.fc2

How reproducible:
Always

Steps to Reproduce:
1. make a directory q.
2. make a file qq.
3. look at the samba share with a win xp system and see the behaviour
described
    

Additional info:
Comment 1 Ferry Huberts 2004-09-10 15:25:19 EDT
Created attachment 103701 [details]
Screenshot of described bug
Comment 2 Ferry Huberts 2004-09-10 15:34:30 EDT
also did a local smbmount on the server of the share and same
behaviour, even looking at it from the server itself. so we can safely
assume it's not the fault of the xp system (this time).

trying to access the 'q.' directory by its 'q.' name does not work,
can only access it with the wrong name hash
Comment 3 Matthew Miller 2005-04-26 12:23:17 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Ferry Huberts 2005-06-05 06:22:40 EDT
I just checked it on a fresh FC4 Test 3 system, no change, same problem.

I'll upload two screenshots.
The share on the FC4t3 server has two items: a directory that is named
'dir_end_dot.' and a file that is named 'file_end_dot.'
The first screenshot is looking at the share from a Windows XP Home workstation,
the second screenshot is looking at the share from the FC4t3 server itself.
Comment 5 Ferry Huberts 2005-06-05 06:24:03 EDT
Created attachment 115147 [details]
Windows XP looking at the FC4t3 share
Comment 6 Ferry Huberts 2005-06-05 06:24:40 EDT
Created attachment 115148 [details]
FC4t3 looking at the FC4t3 share
Comment 7 Ferry Huberts 2006-12-30 12:18:43 EST
just did a test on a FC6 server, problem persists!
Comment 8 Simo Sorce 2007-03-14 09:58:31 EDT
This is not a bug.
Windows clients can't understand names the terminate with a ., so samba mangles
the name in a 8.3 format (wihtout the extension as the original file does not
have it in this case).

Note You need to log in before you can comment on or make changes to this bug.